Potentially modify the index to be less split-up. Have a single listing of
everything, each formatted as a small summary pill. Each pill will have tags
(adventure, campaign, setting, character, journal, tool, and possibly more), and
the tags will be at the top of the list. Clicking a tag will filter results
accordingly. Each different tag could be colored differently, possibly even
doing a multi-colored thing with some cool gradient backgrounds based on the
tags. A pill tagged with character may have a golden background, a pill with
journal maybe a grey background, and one tagged with both will gradient from
golden to grey horizontally.

Beyond this, need to design the layout for adventures, campaigns, settings, and
tools. I like the journal layout. Adventures, campaigns, and settings will
probably all be similar, both to each-other and to the journal layout. Have an
index on the left, a navigation bar (probably the same as journals), and an
optional picture. Basically it will boil down to the `_posts` being the "meat"
of the section. For settings that's easy, since each post will be a separate
topic, and they can simply be sorted alphabetically. Nested topics could be
annoying, but a "nested" topic approach would also be necessary for adventures
and campaigns. The "tools" layout is probably the easiest, since it may just be
a summary of the tool, and then links to the code/docs elsewhere. Probably
single page, with links back to the site home.

A "nested" approach to the menu is, again, basically what I already have setup
for the journals. The seventh journal is a good example: it has `_posts`, but
also folders for "lore" and "locations", which are then just listed/linked on
the index. Move that listing to the menu, make the non-post listings show up top
of menu, separate each by a horizontal bar, and then the posts represent the
actual sequential adventure steps. Design-wise, each section could be a
"<detail>", defaulting to open, but could make navigation a bit easier. One
additional consideration. While this nested approach is fine for separate
sections, what about the idea of chapters and sections for an adventure.
Example: an adventure has 3 chapters, and each chapter is split into 4-5
sections, with each section representing the amount of the adventure that can be
approached during a single play session. I wonder if I can have directories
within the _posts directory...
